%define upstream_name	 Net-Packet
%define upstream_version 3.28

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:	A framework to easily send and receive frames from layer 2 to layer 7
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Class::Gomor::Hash) >= 0.200.0
BuildRequires:	perl-devel
BuildRequires:	perl(IO::Interface)
BuildRequires:	perl(Net::IPv6Addr)
BuildRequires:	perl-Net-Pcap >= 0.04
BuildRequires:	perl(Socket6)

BuildArch:	noarch


%description
This module is a unified framework to craft, send and receive
packets at layers 2, 3, 4 and 7.  Basically, you forge each layer
of a frame (Net::Packet::IPv4 for layer 3, Net::Packet::TCP for
layer 4 ; for example), and pack all of this into a
Net::Packet::Frame object. Then, you can send the frame to the
network, and receive it easily, since the response is
automatically searched for and matched against the request.  If
you want some layer 2, 3 or 4 protocol encoding/decoding to be
added, just ask, and give a corresponding .pcap file ;)

*** This framework is obsolete. Use Net::Frame::* now.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

# this won't work, but partly works as root...

%install
%makeinstall_std

%files
%doc Changes README examples META.yml
%{perl_vendorlib}/Net
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 3.280.0-4pclos2017
- rebuild against updates

